%global debug_package %{nil}
%global selinuxtype	targeted
%global moduletype	services
%global modulenames	ocne	

# Usage: _format var format
#   Expand 'modulenames' into various formats as needed
#   Format must contain '$x' somewhere to do anything useful
%global _format() export %1=""; for x in %{modulenames}; do %1+=%2; %1+=" "; done;

# Relabel files
%global relabel_files() %{_sbindir}/restorecon -R %{_sharedstatedir}/etcd /usr/share/kata-containers &> /dev/null || : \ # ADD files in *.fc file
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

# Version of distribution SELinux policy package 
%global selinux_policyver 3.14.3-139.0.1.el8_10 

# Package information
Name:			ocne-selinux
Version:		2.0.0
Release:		1%{?dist}
License:		GPLv2+
Vendor:			Oracle America
Group:			System Environment/Base
Summary:		SELinux Policies for OLCNE
Requires: 		selinux-policy >= %{selinux_policyver}
Requires:		container-selinux >= 2.119.2-1.911c772.el7_8
Requires(post):		selinux-policy-base >= %{selinux_policyver}, selinux-policy-targeted >= %{selinux_policyver}, policycoreutils, libselinux-utils
Requires(post):         policycoreutils-python-utils

BuildRequires:		selinux-policy selinux-policy-devel

Source0:		%{name}-%{version}.tar.bz2
%description
SELinux policy modules for use with OCNE 2.0

%prep
%setup -q

%build
#cp ol%{?oraclelinux}/olcne.te ./olcne.te
make SHARE="%{_datadir}" TARGETS="%{modulenames}"

%install

# Install SELinux interfaces
%_format INTERFACES $x.if
install -d %{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}
install -p -m 644 $INTERFACES \
	%{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}

# Install policy modules
%_format MODULES $x.pp.bz2
install -d %{buildroot}%{_datadir}/selinux/packages
install -m 0644 $MODULES \
	%{buildroot}%{_datadir}/selinux/packages

%post
#
# Install all modules in a single transaction
#
%_format MODULES %{_datadir}/selinux/packages/$x.pp.bz2
%{_sbindir}/semodule -n -s %{selinuxtype} -i $MODULES
if %{_sbindir}/selinuxenabled ; then
    %{_sbindir}/load_policy
    %relabel_files
fi


%postun
if [ $1 -eq 0 ]; then
	%{_sbindir}/semodule -n -r %{modulenames} &> /dev/null || :
	if %{_sbindir}/selinuxenabled ; then
		%{_sbindir}/load_policy
		%relabel_files
	fi
fi

%files

%license LICENSE THIRD_PARTY_LICENSES.txt NOTICE
%defattr(-,root,root,0755)
%attr(0644,root,root) %{_datadir}/selinux/packages/*.pp.bz2
%attr(0644,root,root) %{_datadir}/selinux/devel/include/%{moduletype}/*.if

%changelog
* Fri Aug 23 2024 Thomas Tanaka <thomas.tanaka@oracle.com> - 2.0.0-1
- First Build
